<div class="p-2">
    <div class="row">
        <div class="col-md-6 col-sm-6">
            <h3>Events</h3>
        </div>
        <div class="col-md-6 col-sm-6">
            <div class="d-grid gap-2 d-md-flex justify-content-md-end">
                <button [routerLink]="'/create-event'" class="btn btn-primary me-md-2" type="button">
                    <i class="bi bi-plus-lg"></i>
                    Create event
                </button>
                <div>
                    <select class="form-select" aria-label="Period" [(ngModel)]="period" (change)="onPeriodChange()">
                        <option value="week">This week</option>
                        <option value="month">This month</option>
                        <option value="all">All time</option>
                    </select>
                </div>
            </div>
        </div>
    </div>

    <!-- Counter cards -->

    <div class="row my-4">
        <div class="col-12 col-md-6 col-lg-3 mb-4 mb-lg-0">
            <div class="card shadow-sm counter-card">
                <div class="card-body">
                    <h6 class="card-title">Number of events</h6>
                    <p class="card-text">
                        <span class="text-primary h3">{{summaryData?.eventsCount}} </span>
                        {{periodAsSentence}}
                    </p>
                </div>
            </div>
        </div>
        <div class="col-12 col-md-6 mb-4 mb-lg-0 col-lg-3">
            <div class="card shadow-sm counter-card">
                <div class="card-body">
                    <h6 class="card-title">Users who have answered</h6>
                    <p class="card-text">
                        <span class="text-success h3">{{summaryData?.acceptorsUsers.length}} </span>
                        {{periodAsSentence}}
                    </p>
                </div>
            </div>
        </div>
        <div class="col-12 col-md-6 mb-4 mb-lg-0 col-lg-3">
            <div class="card shadow-sm counter-card">
                <div class="card-body">
                    <h6 class="card-title">Users who haven't answered</h6>
                    <p class="card-text">
                        <span class="text-warning h3">{{summaryData?.unacceptorsUsers.length}} </span>
                        {{periodAsSentence}}
                    </p>
                </div>
            </div>
        </div>
    </div>


    <h5>{{periodAsSentence}}</h5>

    <div class="">
        <div class="row row-cols-1 row-cols-md-3">
            <div class="col" *ngFor="let user of summaryData?.acceptorsUsers">
                <div class="card shadow-sm user-card h-100 p-1">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-3">
                                <img [src]="user.photo ? user.photo : '../../../assets/img/user.png'" width="50px">
                            </div>
                            <div class="col-9 pt-2">
                                <h5 class="card-title">{{getFullname(user)}}</h5>
                                <p class="card-text">{{user.email}}</p>
                            </div>
                        </div>

                        <div class="row mt-3">
                            <div class="col-6 text-center">
                                <p class="card-text">Accepted</p>
                                <p class="card-text text-primary h3">{{getUserAcceptCount(user)}}</p>
                            </div>
                            <div class="col-6 text-center">
                                <p class="card-text">Declined</p>
                                <p class="card-text text-warning h3">{{getUserDeclineCount(user)}}</p>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>